import { Cycle } from '../dbstore/types';
import { CheckpointBucket, CheckpointBucketManager, CheckpointData, CheckpointRadixDigest, CheckpointRadixEntry, RadixDigestTally } from './CheckpointData';
export declare class CycleCheckpointData extends CheckpointData<Cycle> {
    constructor(cycle: Cycle);
}
export declare function calculateBucketID(cycle: Cycle): string;
export declare class CycleCheckpointRadixEntry extends CheckpointRadixEntry<Cycle> {
    constructor(radix: string);
}
export declare class CycleCheckpointRadixDigest extends CheckpointRadixDigest {
    constructor(radix: string, hash: string, itemCount: number);
}
export declare class CycleCheckpointBucket extends CheckpointBucket<Cycle> {
    constructor(startTime: number, endTime: number, bucketID: string, validateData: (data: CheckpointData<Cycle>) => Promise<boolean>, updateData: (data: CheckpointData<Cycle>) => Promise<void>);
    update(currentTime: number): Promise<void>;
}
declare class CycleCheckpointManager extends CheckpointBucketManager<Cycle> {
    private static instance;
    private constructor();
    static getInstance(): CycleCheckpointManager;
}
export declare class CycleRadixDigestTally extends RadixDigestTally {
    constructor(radix: string);
}
export declare const cycleCheckpointManager: CycleCheckpointManager;
export {};
