"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArchiverLogging = void 0;
const nestedCounters_1 = require("./nestedCounters");
const Logger = require("../Logger");
class ArchiverLogging {
    static generateOperationId() {
        return `op-${Date.now()}-${Math.random().toString(36).substr(2, 9)}`;
    }
    static logArchiverRegistration(log) {
        Logger.mainLogger.info('Archiver Registration', log);
        if (nestedCounters_1.nestedCountersInstance) {
            nestedCounters_1.nestedCountersInstance.countEvent('archiver', `registration_${log?.state}`, 1);
            nestedCounters_1.nestedCountersInstance.countEvent('archiver', 'validators_discovered', log?.validators?.discovered);
            nestedCounters_1.nestedCountersInstance.countEvent('archiver', 'validators_connected', log?.validators?.connected);
        }
    }
    static logValidatorConnection(log) {
        Logger.mainLogger.info('Validator Connection', log);
        if (nestedCounters_1.nestedCountersInstance) {
            nestedCounters_1.nestedCountersInstance.countEvent('validator', `connection_${log?.status}`, 1);
            if (log?.handshake?.success) {
                nestedCounters_1.nestedCountersInstance.countEvent('validator', 'handshake_success', 1);
            }
            else {
                nestedCounters_1.nestedCountersInstance.countEvent('validator', 'handshake_failure', 1);
            }
        }
    }
    static logDataSync(log) {
        Logger.mainLogger.info('Data Sync', log);
        if (nestedCounters_1.nestedCountersInstance) {
            nestedCounters_1.nestedCountersInstance.countEvent('sync', `data_sync_${log?.status}`, 1);
            nestedCounters_1.nestedCountersInstance.countEvent('sync', `data_type_${log?.dataType}`, 1);
            nestedCounters_1.nestedCountersInstance.countEvent('sync', 'data_size', log?.metrics?.dataSize);
        }
    }
}
exports.ArchiverLogging = ArchiverLogging;
//# sourceMappingURL=archiverLogging.js.map