import * as fastify from 'fastify';
export declare let memoryReportingInstance: MemoryReporting;
export declare function setMemoryReportingInstance(instance: MemoryReporting): void;
type MemItem = {
    category: string;
    subcat: string;
    itemKey: string;
    count: number;
};
declare class MemoryReporting {
    report: MemItem[];
    lastCPUTimes: object[];
    server: fastify.FastifyInstance;
    constructor(server: fastify.FastifyInstance);
    registerEndpoints(): void;
    updateCpuPercent(): void;
    addToReport(category: string, subcat: string, itemKey: string, count: number): void;
    reportToStream(report: MemItem[], outputStr: string): string;
    gatherReport(): void;
    getCPUTimes(): object[];
    cpuPercent(): number;
    roundTo3decimals(num: number): number;
    stateReport(): void;
    systemProcessReport(): void;
}
export default MemoryReporting;
