import { TicketData } from '../types/tickets';
type Sign = {
    owner: string;
    sig: string;
};
type Ticket = {
    data: TicketData[];
    sign: Sign[];
    type: string;
};
export declare const ticketSchema: {
    readonly type: "array";
    readonly items: {
        readonly type: "object";
        readonly required: readonly ["data", "sign", "type"];
        readonly properties: {
            readonly data: {
                readonly type: "array";
                readonly items: {
                    readonly type: "object";
                    readonly required: readonly ["address"];
                    readonly properties: {
                        readonly address: {
                            readonly type: "string";
                            readonly pattern: "^0x[a-fA-F0-9]{40}$";
                        };
                    };
                    readonly additionalProperties: false;
                };
                readonly minItems: 1;
            };
            readonly sign: {
                readonly type: "array";
                readonly items: {
                    readonly type: "object";
                    readonly required: readonly ["owner", "sig"];
                    readonly properties: {
                        readonly owner: {
                            readonly type: "string";
                            readonly pattern: "^0x[a-fA-F0-9]{40}$";
                        };
                        readonly sig: {
                            readonly type: "string";
                            readonly pattern: "^0x[a-fA-F0-9]{130}$";
                        };
                    };
                    readonly additionalProperties: false;
                };
                readonly minItems: 1;
            };
            readonly type: {
                readonly type: "string";
                readonly enum: readonly ["silver"];
            };
        };
        readonly additionalProperties: false;
    };
};
export type { Sign, Ticket };
