import { DevSecurityLevel } from '../types/security';
import { Sign } from '../schemas/ticketSchema';
interface AllowedArchiversConfig {
    allowedArchivers: Array<{
        ip: string;
        port: number;
        publicKey: string;
    }>;
    signatures: Sign[];
}
declare class AllowedArchiversManager {
    private currentConfig;
    private configPath;
    private isInitialized;
    private globalAccountAllowedSigners;
    private globalAccountMinSigRequired;
    initialize(configPath: string): void;
    stopWatching(): void;
    setGlobalAccountConfig(allowedSigners?: {
        [key: string]: DevSecurityLevel;
    }, minSigRequired?: number): void;
    private getArchiverWhitelistConfig;
    private validateConfig;
    private loadAndVerifyConfig;
    getCurrentConfig(): AllowedArchiversConfig | null;
    isArchiverAllowed(publicKey: string): boolean;
}
export declare const allowedArchiversManager: AllowedArchiversManager;
export {};
